"use strict";
/*

tianve-rebecca-script.js

Ship script for Rebecca Weston.

Oolite - Copyright � 2009 Giles C Williams and contributors

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
MA 02110-1301, USA.


Tianve.oxp - Copyright � 2009 Drew Wagar

This work is licensed under the Creative Commons
Attribution-Noncommercial-Share Alike 3.0 Unported License.

To view a copy of this license, visit
http://creativecommons.org/licenses/by-nc-sa/3.0/ or send a letter
to Creative Commons, 171 Second Street, Suite 300, San Francisco,
California, 94105, USA.

*/

this.name           = "tianve-rebecca-script";
this.author         = "Commander McLane";
this.copyright      = "� 2009 Drew Wagar";
this.license	  = "CC-by-nc-sa 3.0";
this.version        = "1.3";


this.shipSpawned = function()
{
	// sets primary role to "hunter", to make it accept distress calls
	this.ship.primaryRole = "hunter";
/*	
	// establishes the station group of the monitoring station
	var pulsarStationGroup = system.shipsWithRole("tianve-pulsar-station", this.ship)[0].group;

	// adds Rebecca to the station group
	pulsarStationGroup.addShip(this.ship);

	// and makes her aware of that
	this.ship.group = pulsarStationGroup;
*/	
	// starts a timer that periodically looks for the player
	// the timer looks every ten seconds (second number)
	this.scanForPlayerTimer = new Timer(this, this.scanForPlayer, 0, 10);
}

this.scanForPlayer = function()
{
	//  when having the player in scanner range for the first time ...
	if(this.ship.position.distanceTo(player.ship.position) < 25600)
	{
		// ... a message is sent ...
		this.ship.commsMessage("So it's Commander " + expandDescription("[commander_name]") + ", eh? I've heard of you. Just behave yourself around here, or else!");
		// ... and the timer is stopped
		this.scanForPlayerTimer.stop();
	}
}

this.playerWillEnterWitchspace = this.shipDied = function()
{
	// if the ship suffers an existence failure, either by dying or by the player leaving the system,
	// the timer is stopped and removed
	this.scanForPlayerTimer.stop();
	delete this.scanForPlayerTimer;
}
